Subject: Re: bug#57877: [PATCH] Add empty X-Debbugs-Cc header to bug report template

From: Stefan Kangas <[email-masked]>
Date: Sat, 17 Sep 2022 14:04:12 -0400

Daniel Martín via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> I think this change may confuse some users because there will be a blank
> X-Debbugs-Cc header when reporting a bug (they'll ask themselves "what
> should I put here?, what does this do?").  I think we should update the
> bug template to explain when to fill that special mail header, at least.

I think we should just make `message-goto-cc' command use
"X-Debbugs-CC" in both `report-emacs-bug' and `submit-emacs-patch'.

For extra points, make it do the same if "[email-masked]" (and
some other well-known debbugs lists, customizable) is already in the
"To:" header.